
Redmine - Defect #33113

Default version and assignee are not exposed via projects API

2020-03-09 12:41 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 4.0.7   

Resolution: Fixed Affected version:  

Description

I would like either a field on project or a field the specific version but now there is no way of knowing which version id set as default

on a project

Related issues:

Related to Redmine - Feature #1828: Default target version for new issues Closed 2008-08-28

Related to Redmine - Feature #482: Default assignee on each project Closed

Associated revisions

Revision 19581 - 2020-03-17 09:59 - Go MAEDA

Show default assignee and default version in projects API (#33113).

Patch by Marius BALTEANU.

Revision 19584 - 2020-03-19 09:55 - Go MAEDA

Merged r19581 from trunk to 4.1-stable (#33113).

Revision 19585 - 2020-03-19 09:56 - Go MAEDA

Merged r19581 from trunk to 4.0-stable (#33113).

History

#1 - 2020-03-09 13:47 - Go MAEDA

- Subject changed from Default Version is not exposed via the API to Default version and assignee are not exposed via projects API

- Status changed from New to Confirmed

I think the default assignee should be in the API response as well.

#2 - 2020-03-09 13:51 - Go MAEDA

- Related to Feature #1828: Default target version for new issues added

#3 - 2020-03-09 13:52 - Go MAEDA

- Related to Feature #482: Default assignee on each project added

#4 - 2020-03-10 22:24 - Marius BĂLTEANU

The following JSON response is enough (keys default_version and default_assignee)?

{

  "project": {

    "id": 1,

    "name": "eCookbook",

    "identifier": "ecookbook",

    "description": "Recipes management application",

    "homepage": "http://ecookbook.somenet.foo/",

    "status": 1,

    "is_public": true,

    "inherit_members": false,

    "default_version": {

      "id": 3,
      "name": "2.0" 

    },

    "default_assignee": {

      "id": 3,

      "name": "Dave Lopper" 

    },

    "custom_fields": [

      {

        "id": 3,

        "name": "Development status",

        "value": "Stable" 

      }

    ],

    "created_on": "2006-07-19T17:13:59Z",

    "updated_on": "2020-03-10T21:23:11Z" 

  }

}

#5 - 2020-03-11 10:18 - Anonymous

That would be perfect for my use case

#6 - 2020-03-14 17:26 - Marius BĂLTEANU

- File 0001-Show-default-asignee-and-default-version-in-projects.patch added

- Target version set to 4.0.7

Here is the patch, I think we can deliver this fix in a minor release. If not, please move it to 4.2.0.

Test results here.

#7 - 2020-03-15 05:15 - Go MAEDA

Marius BALTEANU wrote:

I think we can deliver this fix in a minor release.

 I agree. The two attributes should have been added in Redmine 3.2 or 3.4. And adding attributes does not break existing API clients if those are

properly implemented.

#8 - 2020-03-17 09:59 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

Files

0001-Show-default-asignee-and-default-version-in-projects.patch 3.15 KB 2020-03-14 Marius BĂLTEANU
